package com.uas.report.axis;

import java.util.ArrayList;
import java.util.List;

public class OperationResult {

	public static final int SUCCESS = 0;

	private int returnCode = SUCCESS;
	private String message;
	private List<ResourceDescriptor> resourceDescriptors = new ArrayList<>();
	private String version = "1.2.1";

	public int getReturnCode() {
		return returnCode;
	}

	public void setReturnCode(int returnCode) {
		this.returnCode = returnCode;
	}

	public String getMessage() {
		return message;
	}

	public void setMessage(String message) {
		this.message = message;
	}

	public List<ResourceDescriptor> getResourceDescriptors() {
		return resourceDescriptors;
	}

	public void setResourceDescriptors(List<ResourceDescriptor> resourceDescriptors) {
		this.resourceDescriptors = resourceDescriptors;
	}

	public void addResourceDescriptor(ResourceDescriptor descriptor) {
		resourceDescriptors.add(descriptor);
	}

	public String getVersion() {
		return version;
	}

	public void setVersion(String version) {
		this.version = version;
	}

}
